> For a complete page index, fetch https://developer.close.com/llms.txt

# Create a Blocked Phone Number

POST https://api.close.com/api/v1/blocked_phone_number/
Content-Type: application/json

Once this record is created, the phone number you have specified will no longer work for outbound nor inbound calls. That means:

* Nobody in your organization will be able to call that phone number.
* That phone number will not be able to call anybody in your organization.

Reference: https://developer.close.com/api/resources/blocked-phone-numbers/create

## Authentication

- `Authorization` header (basic auth, required) — Use your API key as the username and leave the password empty.
- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Body (application/json)

This endpoint expects an object.

- `phone` (string, required) — The phone number (in E.164 format) that you wish to block.
- `reason` (string, required) — The reason why you wish to block a given phone number.

## Response

### 201

Successful response

- `created_by` (string, required) — User who created this Blocked Number initially.
- `date_created` (datetime, required) — When this Blocked Number was created.
- `date_updated` (datetime, required) — When this Blocked Number was last updated.
- `id` (string, required)
- `organization_id` (string, required)
- `phone` (string, required) — The phone number (in E.164 format) to block.
- `reason` (string, required) — The reason for blocking the given phone number.
- `updated_by` (string, required) — User who most recently updated this Blocked Number.

## Errors

### 400 Bad Request Error

Bad request

- `any`

### 401 Unauthorized Error

Unauthorized

- `any`

### 404 Not Found Error

Not found

- `any`

## Examples

**Request**

```json
{
  "phone": "+15553334444",
  "reason": "Unwanted Caller"
}
```

**Response**

```json
{
  "created_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA",
  "date_created": "2026-03-01T12:00:00.000000+00:00",
  "date_updated": "2026-03-01T12:00:00.000000+00:00",
  "id": "blkph_3wMz8Tc8NRE2YzDT5vNb1h",
  "organization_id": "orga_RbREgmiiwcr1w2b4cOnCMQaQPSIFxMqAD2Dh243uxcH",
  "phone": "+15553334444",
  "reason": "Unwanted Caller",
  "updated_by": "user_N6KhMpzHRCYQHdn4gRNIFNN5JExnsrprKA6ekxM63XA"
}
```

**SDK Code**

```python blocked_phone_numbers_create_example
import requests

url = "https://api.close.com/api/v1/blocked_phone_number/"

payload = {
    "phone": "+15553334444",
    "reason": "Unwanted Caller"
}
headers = {
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers, auth=("<CLOSE_API_KEY>", ""))

print(response.json())
```

```javascript blocked_phone_numbers_create_example
const url = 'https://api.close.com/api/v1/blocked_phone_number/';
const credentials = btoa("<CLOSE_API_KEY>:");

const options = {
  method: 'POST',
  headers: {Authorization: `Basic ${credentials}`, 'Content-Type': 'application/json'},
  body: '{"phone":"+15553334444","reason":"Unwanted Caller"}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go blocked_phone_numbers_create_example
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.close.com/api/v1/blocked_phone_number/"

	payload := strings.NewReader("{\n  \"phone\": \"+15553334444\",\n  \"reason\": \"Unwanted Caller\"\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.SetBasicAuth("<CLOSE_API_KEY>", "")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby blocked_phone_numbers_create_example
require 'uri'
require 'net/http'

url = URI("https://api.close.com/api/v1/blocked_phone_number/")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request.basic_auth("<CLOSE_API_KEY>", "")
request["Content-Type"] = 'application/json'
request.body = "{\n  \"phone\": \"+15553334444\",\n  \"reason\": \"Unwanted Caller\"\n}"

response = http.request(request)
puts response.read_body
```

```java blocked_phone_numbers_create_example
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.close.com/api/v1/blocked_phone_number/")
  .basicAuth("<CLOSE_API_KEY>", "")
  .header("Content-Type", "application/json")
  .body("{\n  \"phone\": \"+15553334444\",\n  \"reason\": \"Unwanted Caller\"\n}")
  .asString();
```

```php blocked_phone_numbers_create_example
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.close.com/api/v1/blocked_phone_number/', [
  'body' => '{
  "phone": "+15553334444",
  "reason": "Unwanted Caller"
}',
  'headers' => [
    'Content-Type' => 'application/json',
  ],
    'auth' => ['<CLOSE_API_KEY>', ''],
]);

echo $response->getBody();
```

```csharp blocked_phone_numbers_create_example
using RestSharp;
using RestSharp.Authenticators;

var client = new RestClient("https://api.close.com/api/v1/blocked_phone_number/");
client.Authenticator = new HttpBasicAuthenticator("<CLOSE_API_KEY>", "");
var request = new RestRequest(Method.POST);

request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"phone\": \"+15553334444\",\n  \"reason\": \"Unwanted Caller\"\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```